#!/bin/bash

# Install some custom configuratation for rock64 board

# TODO manually
# * change root password
#     passwd
# * add private ssh key
#     ssh-copy-id rock64@rock64

# Stop on first failure
set -e

# Show each command
set -x

# Install common user configuration files
\
`# Download newest common archive` \
wget  \
    --quiet \
    --output-document \
        - \
    https://gitlab.com/krystian.wojtas/setup-common/-/archive/master/setup-common-master.tar \
|
# Unpack archive and overwrite any previous configs
tar \
    --extract \
    \
    `# Ommit internal top level directory with repository name and home` \
    --strip-components=2 \
    \
    `# Unpack to home directory of target user` \
    --directory "$HOME" \

# Overwrite with custom user config
cp --recursive ./user/. "$HOME/"

# Autorun pulseaudio server as target user
systemctl --user enable pulseaudio

# Create docker container if not yet exist
"$HOME/docker/node_exporter/run"
